<?php

/**
 * Configuration interface.
 *
 * @author Daniel J. Lauk <daniel.lauk@psi.ch>
 */
interface Configuration {

    public function getConfiguredSettings();

    public function getString($key);
    public function getStringOrDefault($key, $default);

    public function getInteger($key);
    public function getIntegerOrDefault($key, $default);

    public function getBoolean($key);
    public function getBooleanOrDefault($key, $default);
}

?>
